Search chips by phone number
curl --request POST \
--url https://api.raul.ugps.io/api/v1/catalog/chips/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search_term": "0587"
}
'import requests
url = "https://api.raul.ugps.io/api/v1/catalog/chips/search"
payload = { "search_term": "0587" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search_term: '0587'})
};
fetch('https://api.raul.ugps.io/api/v1/catalog/chips/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"sim_id": 123,
"phone_number": "<string>",
"iccid": "<string>",
"status_id": {},
"status_description": {},
"endpoint_id": {},
"last_connection": {},
"operator": {},
"network_type": {}
}
],
"total_matches": 123,
"search_term": "<string>",
"timestamp": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>"
}Chip Catalog
Search chips by phone number
Search for chips by partial phone number match.
This endpoint searches through the chip catalog for phone numbers that match the search term (last digits or contains).
Notes:
- Minimum 4 characters required for search
- Searches for phone numbers ending with or containing the search term
- Case insensitive search
POST
/
api
/
v1
/
catalog
/
chips
/
search
Search chips by phone number
Authorizations
Bearer token authentication
Body
application/json
Search term (last 4+ digits of phone number)
Minimum string length:
4Example:
"0587"
⌘I